complexType "CalculatedAmount"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 5 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | calculationDates?, observationStartDate?, optionsExchangeDividends?, additionalDividends?, allDividends?
</...>

Content Model Elements (5):

  additionalDividends,
  allDividends,
  calculationDates (defined in CalculatedAmount complexType),
  observationStartDate (defined in CalculatedAmount complexType),
  optionsExchangeDividends

Known Direct Subtypes (2):

  CorrelationAmount, VarianceAmount

All Direct / Indirect Based Elements (2):

  amount (defined in VarianceLeg complexType), | amount (in correlationLeg)

Known Usage Locations

- In derivations of other global types (2):

  CorrelationAmount (as extension base), | VarianceAmount (as extension base)

Annotation
An abstract base class for all calculated money amounts, which are in the currency of the cash multiplier of the calculation.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType abstract="true" name="CalculatedAmount"> <xsd:sequence> <xsd:element minOccurs="0" name="calculationDates" type="AdjustableRelativeOrPeriodicDates"/> <xsd:element minOccurs="0" name="observationStartDate" type="AdjustableOrRelativeDate"/> <xsd:group ref="Dividends.model"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/5)
calculationDates

  Type: | AdjustableRelativeOrPeriodicDates, complex content

  Specifies the date on which a calculation or an observation will be performed for the purpose of calculating the amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationDates" type="AdjustableRelativeOrPeriodicDates"/>

observationStartDate

  Type: | AdjustableOrRelativeDate, complex content

  The start of the period over which observations are made which are used in the calculation Used when the observation start date differs from the trade date such as for forward starting swaps.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="observationStartDate" type="AdjustableOrRelativeDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.